Subject: Re: [PATCH 3/4] net: phy: Add read driver for Microsemi PHYs.

From: Raju Lakkaraju <[email-masked]>
Date: Thu, 8 Sep 2016 15:12:12 +0530

Hi Andrew,

Thank you for review the code and valuable comments.

On Wed, Aug 24, 2016 at 03:13:47PM +0200, Andrew Lunn wrote:
> EXTERNAL EMAIL
> 
> 
> On Wed, Aug 24, 2016 at 12:27:07PM +0000, Raju Lakkaraju wrote:
> > From: Nagaraju Lakkaraju <[email-masked]>
> >
> > PHY Read support will be added for VSC 85xx Microsemi PHYs.
> 
> Why do i need this, when we have SIOCGMIIREG?
> 
Microsemi PHY have different pages i.e. Std IEEE, Extended, Extended_2, Extended_3 and
GPIO pages.
When I want to use SIOCGMIIREG, I can read Std IEEE only with SIOCGMIIREG and not other 
pages.
phy_read_reg function is debug function where I can read entair PHY registers.
In this function, I set the page number and register address then read register value
as atomic operation.

Do you have any suggestions to implement this function in different ways?

Thanks,
Raju.